# crunchflow

The Python crunchflow package is a toolbox for working with the CrunchFlow reactive transport model. It can be particularly useful for analyzing and plotting CrunchFlow model output.

## Installation

Use the package manager [pip](https://pip.pypa.io/en/stable/) or 
[conda](https://anaconda.org/anaconda/conda) to install `crunchflow`.

```bash
pip install crunchflow
```
or
```bash
conda install -c conda-forge crunchflow
```

## Usage
Full documentation can be found [here](https://readthedocs.org/projects/python-crunchflow/)

## Citation
If you use the Python `crunchflow` package in published work, please cite the paper for which it 
was originally developed:

Perzan, Z., Babey, T., Caers, J., Bargar, J.R. and Maher, K., 2021, Local and global sensitivity analysis of a reactive transport model simulating floodplain redox cycling, *Water Resources Research*, doi: [10.1029/2021WR029723](https://dx.doi.org/10.1029/2021WR029723)

From version 2.0.5 on, each release of this package is archived in Zenodo and can be cited directly, in addition to citing the paper above. For example, to cite version 2.0.5:

Perzan, Z., 2025, zperzan/python-crunchflow: v2.0.5 (v2.0.5), *Zenodo*, doi: [10.5281/zenodo.14636010](https://dx.doi.org/10.5281/zenodo.14636010)

## Contributing
Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.

Please make sure to update tests as appropriate.

## License
[GPL](https://choosealicense.com/licenses/gpl-3.0/)
